fplll (5.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.
  * Fix warnings on the package (patch forward and dep on pkg-config).
  * Bump soname version to 9.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 26 Nov 2024 09:31:17 +0100

fplll (5.4.5-1.1) unstable; urgency=medium

  [ Lukas Märdian ]
  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 29 Feb 2024 03:15:16 +0000

fplll (5.4.5-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 26 Nov 2023 13:01:50 +0100

fplll (5.4.4-3) unstable; urgency=medium

  * Add breaks+replace for libfplll7-data 5.4.3-2 (Closes: #1028292).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 16 Jan 2023 09:31:36 +0100

fplll (5.4.4-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 08 Jan 2023 21:10:03 +0100

fplll (5.4.4-1) experimental; urgency=medium

  * New upstream release. 
  * Drop upstream patch for upstream #500.
  * Bump soversion to version 8.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 06 Jan 2023 16:37:30 +0100

fplll (5.4.3-2) unstable; urgency=medium

  * Add upstream patch fixing upstream #500.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 29 Dec 2022 18:25:46 +0100

fplll (5.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.
  * Avoid building with -j8 as it's too much for my box.
  * Drop lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 27 Dec 2022 11:51:46 +0100

fplll (5.4.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository.

  [ Julien Puydt ]
  * Move to the math team.
  * Bump standards-version to 4.6.1.
  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 30 May 2022 15:51:40 +0200

fplll (5.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-vers to 4.6.0.
  * Drop fix for gcc 11 compilation (fixed upstream).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 Aug 2021 08:37:20 +0200

fplll (5.4.0-3) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Fix typo

  [ Nilesh Patra ]
  * d/p/gcc11_fix.patch: Fix gcc11 FTBFS (Closes: #984136)

  [ Julien Puydt ]
  * Fix d/watch.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 16:26:15 +0530

fplll (5.4.0-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 19 Dec 2020 12:20:06 +0100

fplll (5.4.0-1) unstable; urgency=medium

  * New upstream release (refreshed patches).
  * Drop now-useless lintian overrides.
  * Bump std-vers to 4.5.1.
  * Add a d/upstream/metadata file.
  * Follow upstream soname bump.
  * Drop manpage for latsieve, which isn't there anymore.
  * Ship the binary-independent strategies file in a
    binary-independent packet.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Dec 2020 16:11:57 +0100

fplll (5.3.3-2) unstable; urgency=medium

  * Update the manpages. (Closes: #965011)
  * Declare d/rules doesn't require root.
  * Bump dh-compat to 13.
  * Add lintian overrides, since the manpages have been
   offered to upstream.
  * Fix Vcs-Browser link.
  * Refresh d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 03 Sep 2020 22:02:08 +0200

fplll (5.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update the team mail address.
  * Bump std-ver to 4.5.0.
  * Drop -Wl,--as-needed from d/rules (it's now the default).
  * Ship the static library (Closes: #964062).
  * Refresh patches and drop upstreamed ones.
  * Add b-dep on pkg-config.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 05 Jul 2020 09:51:48 +0200

fplll (5.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 13 Jan 2020 22:26:34 +0100

fplll (5.3.1-2) unstable; urgency=medium

  * Add workaround for missing -latomic
    on some arches (Closes: #947718).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 04 Jan 2020 23:10:06 +0100

fplll (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update fix_pc_file patch.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 23 Dec 2019 12:00:48 +0100

fplll (5.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Move from debian/compat 11 to dh-compat 12.
  * Bump std-ver to 4.4.1.
  * Follow upstream soname bump from 5 to 6.
  * Add patch to improve fplll.pc.
  * Update d/copyright to new paths.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 20 Dec 2019 08:28:43 +0100

fplll (5.2.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Wed, 26 Sep 2018 20:01:59 +0200

fplll (5.2.1-1) experimental; urgency=medium

  * New upstream release (soname bump to 5).
  * Update packaging:
    - Use my debian.org mail address.
    - Bump dh compat to 11.
    - Bump std-ver to 4.1.4.
    - Point Vcs-* fields to salsa.
    - Update dates in d/copyright.
    - Drop upstreamed patches.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 03 Jul 2018 16:35:22 +0200

fplll (5.2.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Sat, 30 Dec 2017 11:43:42 +0100

fplll (5.2.0-2) experimental; urgency=medium

  * Team upload.
  * Add disable-test_int_rel_200.patch:
    Disable a faulty test that fails on armel, armhf, mips, mipsel.

 -- Tobias Hansen <thansen@debian.org>  Sat, 09 Dec 2017 11:23:42 +0100

fplll (5.2.0-1) experimental; urgency=medium

  * Team upload to experimental.

  [ Julien Puydt ]
  * New upstream release.
  * Bump std-ver to 4.1.1.
  * Bump d/watch to version 4.
  * Remove the test pruner patch : obsolete (upstream improved the code).
  * Refresh the patch for versioned strategy paths.
  * Follow upstream soname bump from 3 to 4.
  * Add upstream patch to fix typos.

 -- Tobias Hansen <thansen@debian.org>  Sun, 12 Nov 2017 16:05:16 +0100

fplll (5.1.0-3) unstable; urgency=medium

  [ Julien Puydt ]
  * Improved the strategies patch (Closes: #870698).
  * Bump standards-version to 4.0.0.

  [ Ximin Luo ]
  * Backport an upstream commit that fixes tests on 32-bit systems.
  * Add myself to Uploaders.

 -- Ximin Luo <infinity0@debian.org>  Wed, 16 Aug 2017 21:14:52 +0200

fplll (5.1.0-2) experimental; urgency=medium

  * Made the strategies file go in a versioned directory so different
  libfplll<version> packages are coinstallable (and document how to soname
  bump in README.source as it becomes a bit involved).

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 18 Jun 2017 08:46:35 +0200

fplll (5.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Follow the soname version bump.
  * Updated the fplll(1) manpage.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 31 Mar 2017 08:39:32 +0200

fplll (5.0.3-1) unstable; urgency=medium

  * Add libmpfr-dev and libgmp-dev as depends of -dev (Closes: #841260).
  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 19 Oct 2016 21:29:47 +0200

fplll (5.0.2-2) unstable; urgency=medium

  * Push dh compat to 10, and simplify the packaging accordingly.
  * Mark the -dev package as Multi-Arch:same following tracker hint.
  * Upload to unstable.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 11 Oct 2016 14:33:57 +0200

fplll (5.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Dropping all patches, since upstream took them.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 01 Sep 2016 17:50:16 +0200

fplll (5.0.1-1) experimental; urgency=medium

  [Ximin Luo]
  * Install pkgconfig file.
  * Prepare a package for an upstream prerelease
    (for sagemath use)

  [Julien Puydt]
  * New stable upstream release.
  * Bump standards-version up.
  * Use https in Vcs-* fields.
  * Complete d/copyright.
  * Enable all hardening options.
  * Added a patch for typos.
  * Added a patch for the pkgconfig script.
  * Added a manpage for latsieve.
  * Follow soname bump.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 25 Aug 2016 14:24:41 +0200

fplll (4.0.4-2) unstable; urgency=low

  * Updated the build deps (Closes: #747999).

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 18 May 2014 11:20:59 +0200

fplll (4.0.4-1) unstable; urgency=low

  * Upgraded to latest upstream.
  * Updated homepage and upstream contact in the watch, copyright
    and control file.
  * Removed now useless patch (link to homepage in README.html).
  * Changed the VCS uri to make lintian happy.
  * Removed the lintian overrides for hardening-no-fortify-functions (useless).

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 17 Jun 2013 21:41:04 +0200

fplll (4.0.3-1) unstable; urgency=low

  * Upgraded to latest upstream.
  * Made "Euclidian" capitalized in all decriptions (Closes: #704556).
  * Bumped Standards-Version: to 3.9.4.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 07 May 2013 18:41:27 +0200

fplll (4.0.1-2) unstable; urgency=low

  * Add the static library to the devel package (Closes: #702898).

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 14 Mar 2013 22:09:06 +0100

fplll (4.0.1-1) unstable; urgency=low

  * Upgraded to latest upstream.
  * Re-introduction in debian (Closes: #691192).
  * Added a patch to fix a link issue in README.html.
  * Made the manpages point to README.html in the libfplll-dev package.
  * Changed the license of the debian directory to LGPL-2.1.
  * Apply descriptions patch from Tobias Hansen.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 17 Dec 2012 22:08:00 +0200

fplll (4.0.0-1) unstable; urgency=low

  * New maintainer upload. Thanks Tim!
  * Updated to the last upstream (Closes: #592354).
  * Fully converted to dh and source format 3.0 (quilt).
  * Added a watch file.
  * New upstream has tools, so spawn a new fplll-tools package off this
    source package.
  * New upstream switched from GPL to LGPL, so reflect it in the copyright.
  * Added manpages for binaries (generated using help2man -N then edited).

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 27 May 2012 15:04:51 +0200

fplll (2.1.6+20071129-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621188).

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 17:23:13 +0200

fplll (2.1.6+20071129-2) unstable; urgency=low

  * Fix remaining uses of ldexpl to use DPE_LDEXPL, which falls back to
    ldexp if ldexpl isn't available.  Thanks to Thiemo Seufer. (Closes:
    #495465)

 -- Tim Abbott <tabbott@mit.edu>  Sun, 17 Aug 2008 13:22:35 -0400

fplll (2.1.6+20071129-1) unstable; urgency=low

  * Initial release (Closes: #480081).

 -- Tim Abbott <tabbott@mit.edu>  Tue, 27 May 2008 20:21:00 -0400
